Summary:	A printer driver for the Lexmark X125 All-in-one printer/scanner/fax
Name:		x125
Version:	0.2.3
Release:	%mkrel 18
Group:		System/Printing
License:	GPLv2
URL:		https://sourceforge.net/projects/x125-linux/
Source0:	https://downloads.sourceforge.net/x125-linux/x125-drv-0.2.3.tar.gz
Source1:	https://downloads.sourceforge.net/x125-linux/x125-drv-network-0.2.0.tar.gz
Patch0:		x125-0.2.3-LDFLAGS.diff
Patch1:		x125-fix-building-with-gcc14.patch

%description
A printer driver for the Lexmark X125 All-in-one printer/scanner/fax.

%prep

%setup -q -c -T -a0 -a1
%autopatch -p1

%build
cd drv_x125/src
%make_build CFLAGS="%{optflags} -std=gnu17" LDFLAGS="%{ldflags}"
cd ../..
cd drv_x125_network/src
%make_build CFLAGS="%{optflags} -std=gnu17" LDFLAGS="%{ldflags}"
cd ../..

%install
install -d %{buildroot}%{_bindir}

install -m0755 drv_x125/src/x125_cmyk %{buildroot}%{_bindir}/
install -m0755 drv_x125/src/x125_cmyk_print.sh %{buildroot}%{_bindir}/
install -m0755 drv_x125_network/src/x125_network %{buildroot}%{_bindir}/

cp drv_x125/README README.drv_x125
cp drv_x125/FAQ FAQ.drv_x125
cp drv_x125/ChangeLog ChangeLog.drv_x125
cp drv_x125_network/README README.drv_x125_network
cp drv_x125_network/FAQ FAQ.drv_x125_network
cp drv_x125_network/ChangeLog ChangeLog.drv_x125_network

%files
%doc drv_x125/LICENSE README.* FAQ.* ChangeLog.*
%{_bindir}/*


%changelog
* Sat May 24 2025 daviddavid <daviddavid> 0.2.3-18.mga10
+ Revision: 2186160
- fix build with gcc 15 using -std=gnu17

* Tue Oct 22 2024 ns80 <ns80> 0.2.3-17.mga10
+ Revision: 2109724
- try to fix building with GCC 14

* Tue Mar 15 2022 umeabot <umeabot> 0.2.3-16.mga9
+ Revision: 1792437
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 0.2.3-15.mga8
+ Revision: 1518582
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.2.3-14.mga7
+ Revision: 1301788
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.2.3-13.mga6
+ Revision: 946218
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.3-12.mga5
+ Revision: 744637
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.3-11.mga5
+ Revision: 690532
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.3-10.mga4
+ Revision: 520402
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.2.3-9.mga3
+ Revision: 386402
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 23 2011 ennael <ennael> 0.2.3-8.mga1
+ Revision: 57993
- clean spec file
- imported package x125


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-8mdv2011.0
+ Revision: 608178
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-7mdv2010.1
+ Revision: 524370
- rebuilt for 2010.1

* Mon Dec 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-6mdv2009.1
+ Revision: 321070
- use %%ldflags

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.2.3-5mdv2009.0
+ Revision: 226013
- rebuild

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-4mdv2008.1
+ Revision: 179611
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-3mdv2008.0
+ Revision: 75359
- fix deps (pixel)

* Thu Aug 16 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-2mdv2008.0
+ Revision: 64177
- use the new System/Printing RPM GROUP

* Fri Aug 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-1mdv2008.0
+ Revision: 61503
- Import x125



* Fri Aug 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-1mdv2008.0
- initial Mandriva package
